org.springframework.cloud.dataflow.completion

## Interface ValueHintProvider

- All Known Implementing Classes:
    BooleanValueHintProvider, DefaultValueHintProvider, EnumValueHintProvider

      public interface ValueHintProvider

  Interface to provide value hints that can be discovered for properties.
  Author:
    Eric Bottard

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.springframework.boot.configurationmetadata.ValueHint>` | `generateValueHints(org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty property, ClassLoader classLoader)` For a given property, return a list of `ValueHint` that may apply.
    `boolean` | `isExclusive(org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty property)` Return `true` if the values returned by this provider are the only values that apply as completion proposals.

- - ### Method Detail

    - #### generateValueHints

          List<org.springframework.boot.configurationmetadata.ValueHint> generateValueHints(org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty property,
                                                                                            ClassLoader classLoader)

      For a given property, return a list of `ValueHint` that may apply.
      Parameters:
        `property` - property for which to generate value hints
        `classLoader` - class loader for the artifact/module that this property applies to; this may be used to load other classes/resources for generating value hints
      Returns:
        list of value hints for the provided property

    - #### isExclusive

          boolean isExclusive(org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty property)

      Return `true` if the values returned by this provider are the only values that apply as completion proposals. If this returns `true`, then no other kind of completion applies until one of the returned values has been typed in full.
      Parameters:
        `property` - property for which to determine if the values returned by this provider are exclusive
      Returns:
        `true` if the values returned by this provider are exclusive, thus requiring one of these values to be provided before any other `ValueHintProvider` may be applied

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.